import os

# INPATH = Path(config["tools"]["giga_srl"])
# infiles = list(enumerate([x for x in iter(sorted(INPATH.iterdir())) if x.is_file()]))
SOURCEPATH = '/media/luka/Portable Disk/Datasets/gigafida_jos/gf2_files'
from shutil import copyfile

INPATH = '/media/luka/Portable Disk/Datasets/gigafida_jos/2_srl'
OUTPATH = '/home/luka/Development/srl/cjvt-srl-tagging/data/giga_out/1_tsv'
for i in range(100000):
    # print(os.path.join(INPATH, 'giga.%07d.tsv' % i))
    # if not os.path.exists(os.path.join(INPATH, 'giga.%07d.tsv' % i)):
    #     print('giga.%07d.tsv' % i)
    if not os.path.exists(os.path.join(INPATH, 'giga%07d.srl.tsv' % i)):
        copyfile(os.path.join(SOURCEPATH, 'giga.%07d.tsv' % i), os.path.join(OUTPATH, 'giga%07d.tsv' % i))
        print('giga%07d.srl.tsv' % i)

    if i % 1000 == 0:
        print(i)
